<?php

namespace NRMPariwar\MagazineBundle\Repository;

use NRMPariwar\MagazineBundle\Entity\Attachment;

/**
 * AttachmentRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class AttachmentRepository extends \Doctrine\ORM\EntityRepository
{



    public function  getLatestOne($id){
        $qb = $this->_em->createQueryBuilder();

        $qb->select('a')
            ->from(Attachment::class,'a')
            ->join('a.magazine','m')
            ->andWhere('m.id = :ID')->setParameter('ID',$id)
            ->orderBy('a.ordering','asc');
        $result = $qb->getQuery()->getArrayResult();
        return $result;


    }

}
